=== bindings/CMakeLists.txt ===
IF(SWORD_BINDINGS MATCHES ".*Python.*"
   OR SWORD_BINDINGS MATCHES ".*Perl.*")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/swig")
ENDIF(SWORD_BINDINGS MATCHES ".*Python.*"
      OR SWORD_BINDINGS MATCHES ".*Perl.*")
