=== include/Makefile ===

root := ..

all:
	make -C ${root}
