=== debian/changelog ===
sword (1.7.3+dfsg-9.1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:45 +0000

sword (1.7.3+dfsg-9.1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:48:49 +0000

sword (1.7.3+dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Jul 2017 17:37:16 +0100

sword (1.7.3+dfsg-9) unstable; urgency=medium

  * d/patches/sword-ppc64.patch: patch to fix ppc64
      thanks to Fernando Seiti Furusato, Closes: #808346
  * d/rules: Update to standards 3.9.8, no changes

 -- Daniel Glassey <wdg@debian.org>  Thu, 08 Sep 2016 09:16:50 -0500

sword (1.7.3+dfsg-8) unstable; urgency=medium

  [ Daniel Glassey ]
  * d/rules: CLucene_FIND_REQUIRED not used

  [ Unit 193 ]
  * d/rules: Drop -Werror, closes: #811602.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 06 Sep 2016 15:16:01 -0400

sword (1.7.3+dfsg-7) unstable; urgency=medium

  * d/rules: default dh_auto_test to actually run the tests
  * add tests/testblocks.cpp to selectively compiling patch

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Sep 2015 18:36:09 +0100

sword (1.7.3+dfsg-6) unstable; urgency=medium

  * debian/control: add Vcs-Git and Vcs-Browser
  * patch to fix tests to run

 -- Daniel Glassey <wdg@debian.org>  Wed, 16 Sep 2015 11:15:10 +0100

sword (1.7.3+dfsg-5) unstable; urgency=medium

  * Rebuild with correct orig.tar.gz
  * c++ transition, Closes: #796711
  * debian/control: 
      diatheke provides sword-frontend, Closes: #696742

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 11:45:04 +0100

sword (1.7.3+dfsg-4) unstable; urgency=medium

  * debian/copyright: 
      fix short names of publicdomain licences to not have spaces
      remove 'unknown license' - files are under GPL as with rest of tarball
        unless otherwise specified
  * debian/control: 
      standards version 3.9.6 (no changes)
      Multiarch enable library
      dh-autoreconf build dep
  * debian/rules:
      dh --with autoreconf
      set version for dh_makeshlibs
  * remove debian/libsword-dev.links
  * debian/patches:
      new patch selectively_disable_compiler_warnings.patch
        uses pragmas to disable unused-result warnings
      clean up and remove old patches

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 08:44:15 +0100

sword (1.7.3+dfsg-3) experimental; urgency=low

  * c++ transition
      rename library to libsword11v5
      blocked by ICU c++ transition
  * add patch abicompare.patch to allow libsword to work with 
      abi-compliance-checker for future transitions

 -- Daniel Glassey <wdg@debian.org>  Wed, 02 Sep 2015 14:15:09 +0100

sword (1.7.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (-Wno-error=deprecated-declarations). Closes: #778133.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 16:18:02 +0200

sword (1.7.3+dfsg-2) unstable; urgency=medium

  * Add missing license in debian/copyright. (Closes: 754869)
  * Fix libsword.so symlink in the dev package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jul 2014 01:27:30 +0100

sword (1.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release:
  - Bump abi from 10 to 11, all flatapi got renamed with
    org_crosswire_sword_ prefix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:49:01 +0100

sword (1.7.2+dfsg-2) unstable; urgency=medium

  * Correct shared library symlink. (Closes: #747420)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 11 May 2014 22:09:52 +0100

sword (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * icu translit files are no longer generated, don't install them.
  * drop installing greek transliteration doc.
  * bump abi to 10.
  * switch to debhelper 9.

 -- Dimitri John Ledkov <xnox@debian.org>  Sat, 19 Apr 2014 15:05:09 +0100
