=== debian/changelog ===
sword (1.7.3.1+dfsg-2) unstable; urgency=medium

  * debian/rules: build: ignore: No such file or directory

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 05 Oct 2018 20:46:51 +0200

sword (1.7.3.1+dfsg-1) unstable; urgency=medium

  [ Daniel Glassey ]
  * Imported Upstream version 1.7.3+dfsg

  [ Teus Benschop ]
  * changelog
  * New upstream version 1.7.3.1+dfsg
  * debian/control: Updated maintainer email: Closes: #899906
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 04 Oct 2018 13:52:16 +0200

sword (1.7.3+dfsg-11) unstable; urgency=medium

  [ Dominique Corbex ]
  * simplifying d/rules

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 04 Oct 2018 13:12:24 +0200

sword (1.7.3+dfsg-10) unstable; urgency=medium

  * d/patches/sword-TEI-images.patch:
      add images support in TEI encoded modules
  * d/patches/emptyvss.patch:
      add emptyvss to libsword-utils
  * d/rules:
      fix lintian info tag: hardening-no-bindnow
      remove empty directory: /usr/share/sword/modules
  * d/control:
      fix lintian info tag: vcs-field-uses-insecure-uri
  * d/patches/fix-misspellings.patch:
      fix spelling errors in sources

 -- Dominique Corbex <dominique@corbex.org>  Mon, 17 Apr 2017 21:58:37 +0200
