=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
 	       dh-autoreconf
 Section: libs
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
- Jonathan Marsden <jmarsden@fastmail.fm>
+ Dimitri John Ledkov <xnox@debian.org>,
+ Jonathan Marsden <jmarsden@fastmail.fm>,
+ Dominique Corbex <dominique@corbex.org>
 Standards-Version: 3.9.8
 Homepage: http://www.crosswire.org/sword/
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/sword.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/sword.git/
+Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/sword
+Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/sword.git
 
 Package: libsword11v5
 Architecture: any
