=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 WFLAGS   := -Wall
-CFLAGS    = $(shell dpkg-buildflags --get CFLAGS) $(WFLAGS)
-CXXFLAGS  = $(shell dpkg-buildflags --get CXXFLAGS) $(WFLAGS)
+# Hardening
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf
@@ -30,6 +30,8 @@
 	dh_install --list-missing
 	# Fixes FTBFS if running binary-arch target only
 	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
+	# Remove empty directory: usr/share/sword/modules
+	-rmdir debian/libsword-common/usr/share/sword/modules
 override_dh_strip:
 	dh_strip --dbg-package=libsword-dbg
 override_dh_makeshlibs:
