## sword 1.7.4+dfsg

=== debian/changelog ===
sword (1.7.4+dfsg-1) unstable; urgency=high

  * Normalize version to 1.7.4+dfsg

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 14:13:02 +0200

sword (1.7.4-2) unstable; urgency=medium

  * debian/control: update uploaders
  * debian/control: update standards versions
  * debian/control: revert to soname libsword11v5

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 12:54:20 +0200

sword (1.7.4-1) unstable; urgency=high

  * compat 10
  * add current uploader
  * update soname
  * update make_shlibs
  * fix priority-extra-is-replaced-by-priority-optional
  * debian/patches/emptyvss: removed - already applied
  * debian/patches/multiarch: removed - already applied
  * debian/rules: more robust chrpath
  * debian/rules: use autotools
  * patch increase template-depth g++
  * debian/*.install: updated locations
  * new upstream version 1.7.4

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 26 Oct 2018 12:04:19 +0200
